Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(749)

Issue 337640043: [dfdatetime] Replace float with decimal for normalized timestamps. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 months, 1 week ago by ep
Modified:
8 months, 2 weeks ago
Reviewers:
Joachim Metz, onager
CC:
kiddi, log2timeline-dev_googlegroups.com
Visibility:
Public.

Description

[dfdatetime] Replace float with decimal for normalized timestamps.

Patch Set 1 #

Total comments: 14

Patch Set 2 : Replace float with decimal for normalized timestamps. #

Patch Set 3 : Replace float with decimal for normalized timestamps. #

Total comments: 16

Patch Set 4 : Replace float with decimal for normalized timestamps. #

Patch Set 5 : None #

Patch Set 6 : Replace float with decimal for normalized timestamps. #

Total comments: 24

Patch Set 7 : Replace float with decimal for normalized timestamps. #

Total comments: 4
Unified diffs Side-by-side diffs Delta from patch set Stats (+229 lines, -131 lines) Patch
M dfdatetime/cocoa_time.py View 1 2 3 4 5 6 3 chunks +6 lines, -3 lines 1 comment Download
M dfdatetime/delphi_date_time.py View 1 2 3 2 chunks +9 lines, -6 lines 0 comments Download
M dfdatetime/fake_time.py View 1 2 3 2 chunks +9 lines, -6 lines 0 comments Download
M dfdatetime/fat_date_time.py View 1 2 3 2 chunks +8 lines, -5 lines 0 comments Download
M dfdatetime/filetime.py View 1 2 3 2 chunks +9 lines, -6 lines 0 comments Download
M dfdatetime/hfs_time.py View 1 2 chunks +8 lines, -5 lines 0 comments Download
M dfdatetime/interface.py View 1 2 3 4 5 6 4 chunks +39 lines, -3 lines 0 comments Download
M dfdatetime/java_time.py View 1 2 3 4 5 6 2 chunks +8 lines, -5 lines 0 comments Download
M dfdatetime/ole_automation_date.py View 1 2 3 4 5 6 2 chunks +9 lines, -6 lines 0 comments Download
M dfdatetime/posix_time.py View 1 2 3 4 5 6 3 chunks +13 lines, -9 lines 0 comments Download
M dfdatetime/precisions.py View 1 2 12 chunks +21 lines, -16 lines 0 comments Download
M dfdatetime/rfc2579_date_time.py View 1 2 3 4 5 6 2 chunks +10 lines, -6 lines 0 comments Download
M dfdatetime/semantic_time.py View 1 chunk +4 lines, -3 lines 0 comments Download
M dfdatetime/systemtime.py View 1 2 chunks +10 lines, -6 lines 0 comments Download
M dfdatetime/time_elements.py View 1 13 chunks +27 lines, -22 lines 1 comment Download
M dfdatetime/uuid_time.py View 1 2 3 4 5 6 2 chunks +8 lines, -6 lines 0 comments Download
M dfdatetime/webkit_time.py View 1 2 3 4 5 6 3 chunks +6 lines, -4 lines 0 comments Download
M tests/cocoa_time.py View 1 2 3 4 5 6 3 chunks +3 lines, -2 lines 1 comment Download
M tests/delphi_date_time.py View 2 chunks +2 lines, -1 line 0 comments Download
M tests/java_time.py View 2 chunks +2 lines, -1 line 0 comments Download
M tests/ole_automation_date.py View 1 2 3 4 5 6 2 chunks +3 lines, -2 lines 1 comment Download
M tests/precisions.py View 3 chunks +3 lines, -2 lines 0 comments Download
M tests/rfc2579_date_time.py View 2 chunks +2 lines, -1 line 0 comments Download
M tests/systemtime.py View 2 chunks +2 lines, -1 line 0 comments Download
M tests/time_elements.py View 3 chunks +3 lines, -2 lines 0 comments Download
M tests/uuid_time.py View 2 chunks +3 lines, -1 line 0 comments Download
M tests/webkit_time.py View 2 chunks +2 lines, -1 line 0 comments Download

Messages

Total messages: 16
ep
9 months, 1 week ago (2018-03-05 13:18:28 UTC) #1
Joachim Metz
Initial comments https://codereview.appspot.com/337640043/diff/1/dfdatetime/cocoa_time.py File dfdatetime/cocoa_time.py (right): https://codereview.appspot.com/337640043/diff/1/dfdatetime/cocoa_time.py#newcode45 dfdatetime/cocoa_time.py:45: timestamp (Optional[decimal.Decimal]): Cocoa timestamp. this should be ...
9 months, 1 week ago (2018-03-06 01:42:05 UTC) #2
ep
Code updated.
9 months, 1 week ago (2018-03-06 15:20:09 UTC) #3
ep
Code updated.
9 months, 1 week ago (2018-03-06 15:29:29 UTC) #4
ep
I implemented the _SetNormalizedTimestamp() method and moved everything related to it to interface.py, so that ...
9 months, 1 week ago (2018-03-06 15:31:40 UTC) #5
Joachim Metz
still an issue with too much places where float was replaced by decimal and some ...
9 months, 1 week ago (2018-03-07 02:02:11 UTC) #6
ep
Code updated.
9 months, 1 week ago (2018-03-08 12:11:35 UTC) #7
ep
Code updated.
9 months, 1 week ago (2018-03-08 12:25:52 UTC) #8
ep
Code updated.
9 months, 1 week ago (2018-03-08 12:26:59 UTC) #9
ep
https://codereview.appspot.com/337640043/diff/40001/dfdatetime/delphi_date_time.py File dfdatetime/delphi_date_time.py (right): https://codereview.appspot.com/337640043/diff/40001/dfdatetime/delphi_date_time.py#newcode70 dfdatetime/delphi_date_time.py:70: (decimal.Decimal(self._timestamp) - self._DELPHI_TO_POSIX_BASE) On 2018/03/07 02:02:11, Joachim Metz wrote: ...
9 months, 1 week ago (2018-03-08 12:27:22 UTC) #10
Joachim Metz
Some remaining changes where floats should remain floats and style consistency nits. Looks we're nearly ...
9 months ago (2018-03-09 01:02:47 UTC) #11
ep
Code updated.
9 months ago (2018-03-12 14:51:07 UTC) #12
ep
https://codereview.appspot.com/337640043/diff/100001/dfdatetime/cocoa_time.py File dfdatetime/cocoa_time.py (right): https://codereview.appspot.com/337640043/diff/100001/dfdatetime/cocoa_time.py#newcode100 dfdatetime/cocoa_time.py:100: timestamp = decimal.Decimal(timestamp) On 2018/03/09 01:02:46, Joachim Metz wrote: ...
9 months ago (2018-03-12 14:53:13 UTC) #13
Joachim Metz
LGTM, found and addressed some remaining issues. Merged changes via github. https://codereview.appspot.com/337640043/diff/120001/dfdatetime/cocoa_time.py File dfdatetime/cocoa_time.py (right): ...
9 months ago (2018-03-13 04:37:54 UTC) #14
Joachim Metz
LGTM, found and addressed some remaining issues. Merged changes via github.
9 months ago (2018-03-13 04:37:55 UTC) #15
Joachim Metz
8 months, 3 weeks ago (2018-03-23 07:04:41 UTC) #16
this was merged please close
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b